Page MenuHomePhabricator

Allow Kirk and Martijn (JClarity) access to our WDQS production servers
Closed, ResolvedPublic

Description

After an interesting discussion on the Friends of JClarity Google group, Martijn Verburg and Kirk Pepperdine from JClarity have expressed interest in getting access to our WDQS production servers to help us tune and improve our GC configuration. This task will track the different steps needed to make this happen. The overall process is documented on Wikitech.

  • Martijn and Kirk sign the appropriate NDA
  • Request developer access (should be done directly by Martijn and Kirk, does not need the NDA to be signed, so we can move forward here already)
  • Request access to the WDQS servers (requires developer access, can be done by @Gehel, will require the 3 business days to be validated.)

Notes:

  • we have some requirements for SSH access, and some specific configuration is needed on the client side to go through our bastions. Docs.

Event Timeline

Gehel created this task.Oct 16 2017, 8:56 AM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 16 2017, 8:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gehel updated the task description. (Show Details)Oct 16 2017, 8:57 AM
Gehel added a subscriber: debt.
debt triaged this task as Normal priority.Oct 16 2017, 9:44 PM
Gehel reassigned this task from Gehel to EBjune.
Restricted Application added a project: Operations. · View Herald TranscriptNov 9 2017, 9:15 AM

I'm adding @RStallman-legalteam for preparing the NDAs for Martijn and Kirk.

@MoritzMuelenhoff @EBjune Martijn has signed, but Kirk has still yet to sign. I've pinged him again both by email and through the software.

@MoritzMuehlenhoff @EBjune - Kirk has signed as well now, so the NDAs are completed. Thanks!

debt updated the task description. (Show Details)Nov 14 2017, 6:14 PM

@Gehel will check with JClarity to see if they still need connections to our servers, otherwise we can consider this ticket done.

EBjune reassigned this task from EBjune to Gehel.Nov 14 2017, 6:15 PM

Passing it to @Gehel

It looks like we've done most of our analysis already. Shipping logs worked. We can always reopen this task at some future point if we need more help. Having NDA already signed will make it fairly easy for next time.

RobH closed this task as Resolved.Nov 27 2017, 5:50 PM